{
  "name": "@finance.vote/token-auction-webapp",
  "description": "Finance.vote token auction front end",
  "version": "1.5.1",
  "private": true,
  "repository": "git@gitlab.com:finance.vote/token-auction.git",
  "homepage": "./",
  "start_url": ".",
  "scripts": {
    "dev": "env NODE_ENV=development react-scripts start",
    "lint:js": "npx eslint . --fix",
    "lint:styles": "npx stylelint src/**/*.scss --fix",
    "lint": "npx eslint . --fix",
    "start": "react-scripts start ",
    "build": "react-scripts build",
    "build:prod": "env NODE_ENV=production yarn build && node ./scripts/pinata.js ./build",
    "deploy": "./scripts/deploy-contracts.sh",
    "test": "yarn lint && npx react-scripts test --runInBand --watchAll=false --passWithNoTests --env=jest-environment-jsdom-sixteen --transformIgnorePatterns 'node_modules/(?!evm-chain-scripts)/'",
    "test:watch": "yarn lint && npx react-scripts test --runInBand --watchAll --passWithNoTests --env=jest-environment-jsdom-sixteen",
    "test:update-snapshots": "yarn test --updateSnapshot --env=jest-environment-jsdom-sixteen",
    "eject": "react-scripts eject"
  },
  "eslintConfig": {
    "extends": "react-app"
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  },
  "dependencies": {
    "@pinata/sdk": "^1.1.24",
    "axios": "^0.26.1",
    "bootstrap": "^5.1.3",
    "chart.js": "^3.9.1",
    "chartjs-plugin-zoom": "^1.2.1",
    "d3": "^7.4.4",
    "d3-selection": "^3.0.0",
    "d3-zoom": "^3.0.0",
    "eslint": "^7.32.0",
    "eslint-config-prettier": "^8.5.0",
    "eslint-plugin-jsx-a11y": "^6.5.1",
    "eslint-plugin-prettier": "^4.0.0",
    "eslint-plugin-react": "^7.29.4",
    "eslint-plugin-react-hooks": "^4.4.0",
    "eslint-plugin-workspaces": "^0.7.0",
    "ethers": "^5.6.4",
    "evm-chain-scripts": "^0.3.26",
    "formik": "^2.2.9",
    "moment": "^2.29.2",
    "numeral": "^2.0.6",
    "prettier": "^2.6.2",
    "prop-types": "^15.8.1",
    "react": "^18.0.0",
    "react-bootstrap": "^2.2.3",
    "react-custom-scrollbars": "^4.2.1",
    "react-device-detect": "^2.2.2",
    "react-dom": "^18.0.0",
    "react-hook-form": "^7.29.0",
    "react-hooks-global-state": "^1.0.2",
    "react-query": "^3.34.19",
    "react-resize-aware": "^3.1.1",
    "react-router-dom": "^6.3.0",
    "react-scripts": "^4.0.3",
    "react-table": "^7.7.0",
    "sass": "^1.50.0",
    "servment": "^1.0.8",
    "yup": "^0.32.11"
  },
  "devDependencies": {
    "@babel/core": "^7.17.9",
    "@testing-library/jest-dom": "^5.16.4",
    "@testing-library/react": "^13.0.1",
    "@testing-library/user-event": "^14.1.0",
    "babel-jest": "^26.6.0",
    "babel-plugin-transform-class-properties": "^6.24.1",
    "jest-environment-jsdom-sixteen": "^2.0.0",
    "react-is": "^18.0.0",
    "react-test-renderer": "^18.0.0",
    "ts-jest": "^27.1.4"
  }
}
